org.apache.lucene.queryparser.flexible.core.parser

## Enum EscapeQuerySyntax.Type

- java.lang.Object
- - java.lang.Enum<EscapeQuerySyntax.Type>
  - - org.apache.lucene.queryparser.flexible.core.parser.EscapeQuerySyntax.Type

- All Implemented Interfaces:
    Serializable, Comparable<EscapeQuerySyntax.Type>
  Enclosing interface:
    EscapeQuerySyntax

      public static enum EscapeQuerySyntax.Type
      extends Enum<EscapeQuerySyntax.Type>

  Type of escaping: String for escaping syntax, NORMAL for escaping reserved words (like AND) in terms

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NORMAL`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EscapeQuerySyntax.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EscapeQuerySyntax.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STRING

          public static final EscapeQuerySyntax.Type STRING

    - #### NORMAL

          public static final EscapeQuerySyntax.Type NORMAL

  - ### Method Detail

    - #### values

          public static EscapeQuerySyntax.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EscapeQuerySyntax.Type c : EscapeQuerySyntax.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EscapeQuerySyntax.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.